const {request} = require("../request/index")
/**
 * 获取反馈列表
 */
export const getFeedbackIndex = function (params) {
    return request({
        url: '/feedback/my',
        method: 'GET',
        params
    })
}
// 上传个人信息
export const uploadUserInfo = function(data) {
    return request({
        url: '/westreamUser/editInfo',
        method: 'PUT',
        data
    })
}

/**
 * 获取身份列表
 */
export const getIdList = function () {
    return request({
        url: '/identity/getList',
        method: 'GET'
    })
}

// 申请身份
export const approveIdenty = function(data) {
    return request({
        url: '/identity/submit',
        method: 'POST',
        data
    })
}

/**
 * 获取身份申请记录（最新一条）
 */
export const getIdApprove = function (data) {
    return request({
        url: '/identity/getApplyLast',
        method: 'GET',
        data
    })
}