// pages/mine/index.js
import {getUserData} from '../../api/login.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo: {}, // 用户授权信息
        list: [
            {title: '个人信息', type: 'userinfo', path: '/package_B/pages/userInfo/index'},
            {title: '我的反馈', type: 'feedback', path: '/package_B/pages/records/index'},
            {title: '我的美拍', type: 'beauty', path: '/package_B/pages/beauties/index'},
            {title: '我的兑换', type: 'exchange', path: '/package_B/pages/exchange/index'},
            {title: '我的身份', type: 'myid', path: '/package_B/pages/myId/index'}
        ],
        myId: '', // 身份
        integral: 0, // 积分
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getTabBar().setData({
            selected: 2
        })
        
    },
    onShow:function() {
        this.getUserInfo()
    },

    goRecords(e) {
        const path = e.currentTarget.dataset.path
        wx.navigateTo({
            url: path,
        })
    },
    // 获取
    getUserInfo() {
        const params = {}
        params.tenantId = wx.getStorageSync('tenant').tenantId
        params.openid = wx.getStorageSync('openid')
        getUserData(params).then(success=> {
            const userInfo = success.data
            wx.setStorage({
                key: 'userInfo',
                data:userInfo
            })
            this.setData({userInfo})
        })
    },
    // 进入申请身份页面
    goApprove() {
        wx.navigateTo({
          url: '/package_B/pages/IdList/index',
        })
    }
})